### Method

# Adw MessageDialogset_response_enabled

since: 1.2

#### Declaration [src]

    void
    adw_message_dialog_set_response_enabled (
      AdwMessageDialog* self,
      const char* response,
      gboolean enabled
    )

#### Description [src]

Sets whether `response` is enabled.

If `response` is not enabled, the corresponding button will have `GtkWidget:sensitive` set to `FALSE` and it can’t be activated as a default response.

`response` can still be used as `AdwMessageDialog:close-response` while it’s not enabled.

Responses are enabled by default.

Available since: 1.2

#### Parameters

`response`

  Type: `const char*`

  A response ID.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`enabled`

  Type: `gboolean`

  Whether to enable `response`.